curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-image",
"input": {
"model": "nano-banana-pro",
"prompt": "A photorealistic portrait in studio lighting"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Google’s premium image generation model with superior quality.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-image",
"input": {
"model": "nano-banana-pro",
"prompt": "A photorealistic portrait in studio lighting"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 30 credits |
| Tool | create-image |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | create-image |
input.model | string | Yes | nano-banana-pro |
input.prompt | string | Yes | Text prompt for image generation |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "create-image",
"input": {
"model": "nano-banana-pro",
"prompt": "A photorealistic portrait in studio lighting"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "create-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}